Loading...
 
Architecture / Installation

Architecture / Installation


Tiki fails upgrading (FATAL ERROR)

posts: 48

Hi!

I having issues with that the upgrade fails all the time. The system has been working for a very long time flawlessly but now it throws these errors. It is an older installation and has been upgraded in the past successfully many times.

The system is running on php 7.0 and Linux.

Error is:

Error code after attempting to upgrade
Fatal error: Uncaught Error: Call to a member function urldecode() on null in /home/domain/public_html/code/tikiwiki/lib/parser/parserlib.php:3580 Stack trace: #0 /home/domain/public_html/code/tikiwiki/installer/schema/20171123_create_object_links_tiki.php(18): ParserLib->get_pages('\n<h1>How to sec...') #1 /home/domain/public_html/code/tikiwiki/installer/schema/20171123_create_object_links_tiki.php(43): {closure}(Object(Installer), 'article', '1', '\n<h1>How to sec...') #2 /home/domain/public_html/code/tikiwiki/installer/installlib.php(158): upgrade_20171123_create_object_links_tiki(Object(Installer)) #3 /home/domain/public_html/code/tikiwiki/installer/installlib.php(121): Installer->installPatch('20171123_create...') #4 /home/domain/public_html/code/tikiwiki/installer/tiki-installer.php(1028): Installer->update() #5 /home/domain/public_html/code/tikiwiki/tiki-install.php(96): include_once('/home/domain...') #6 {main} thrown in /home/domain/public_html/code/tikiwiki/lib/parser/parserlib.php on line 3580


I also see this warning:
2018 03 28 1105[1]

So how can this be solved?

Thanks!

posts: 692
I have had this issue happen, I changed db to php 5.6 and the upgrade was successful, I don't think Tiki is fully compatible with php7 yet, although it says different at https://doc.tiki.org/Requirements

posts: 48

Thanks John.

I did downgrade the php version to 5.6 and now it generates the error below instead.

Error code after attempting to upgrade
Fatal error: Call to a member function urldecode() on null in /home/domain/public_html/code/tikiwiki/lib/parser/parserlib.php on line 3580


Any ideas of what to do?

Thanks!

posts: 48

So noone has any idea how to fix this issue so i can upgrade? confused

I would appreciate the help a lot if anyone did! smile

Klind regards
PæowerQuest


posts: 692

Well at least you got rid of the lengthy error right!
I have seen that error as well, I just re-install or re-up and it finally would go away. It's a pain in the but, I have a forum topic here regarding that last error you have, and I have no answer from anyone yet.



posts: 48

So i made this short video screencast to explain what is going on:
LInk deleted
(Please turn on your sound because I'm speaking in the video)

I have removed all the old files and uploaded a fresh copy of tiki and it still fails to work.

I'm in real need of having tiki working properly with all the information i have in it as a project management system for me. so installing from the beginning is not an option.

So that is why I'm really frustrated about this because i have no idea what so ever on how to fix this. So I am hoping on that i could get some friendly help with this!

Thanks in advance for any help that could guide me in the right direction nad get this issue solved!


posts: 48

Not one single answer/reply? cry

Anyone here that can help with this issue please?


posts: 48

Hmm nope no one it seems. cry

I guess I have to reinstall from scratch and manually transfer all the data which is a lot of data.. rolleyes


posts: 48
Ok, thanks John, I will try that. smile


Upcoming Events

1)  Thu 21 Nov 2019 14:00 GMT-0000
Roundtable Meeting 2019 11

Why Register?

Register at tiki.org and you'll be able to use the account at any *.tiki.org site, thanks to the InterTiki feature. A valid email address is required to receive site notifications and occasional newsletters. You can opt out of these items at any time.